This API updates existing Lead with all necessary details like Job Title, Revenue, Industry etc.
- Note: Please using "Link Address to Lead" API to add Address to the Lead.
Generated from cURL: curl --location 'https://qa.emotivesoft.io/api/method/emotive_app.api.crm.lead.update_lead'
--header 'Accept: application/json'
--header 'Content-Type: application/json; charset=UTF-8'
--header 'X-Frappe-CSRF-Token: a9cbed8e5be1e443f59e17f24e5f7a9b2a41ea62f9647c349750a366'
--header 'Cookie: full_name=Santhosh Kumar; sid=a9cbed8e5be1e443f59e17f24e5f7a9b2a41ea62f9647c349750a366; system_user=yes; user_id=[email protected]; user_image='
--data-raw '{
"lead_id": "2025-LEAD-07-0000012",
"data": {
"idx": 0,
"workflow_state": "New",
"salutation": "Prof",
"first_name": "Abhi",
"middle_name": "s",
"last_name": "agarwal",
"suffix": "Sr.",
"date_of_birth": "1990-12-10",
"preferred_pronoun": "",
"pronoun": null,
"lead_name": "Abhi s agarwal Sr.",
"job_title": "Manager",
"gender": null,
"source": "Campaign",
"lead_owner": "[email protected]",
"status": "Lead",
"customer": null,
"type": "",
"request_type": "",
"email_id": "[email protected]",
"website": "www.google.com",
"mobile_no": "1110245699",
"whatsapp_no": null,
"phone": "1110245687",
"phone_ext": null,
"company_name": "RBI",
"no_of_employees": "1-10",
"annual_revenue": 98989,
"industry": "Aerospace",
"market_segment": "Lower Income",
"territory": "United States",
"fax": null,
"city": null,
"state": null,
"country": "United States",
"qualification_status": "Unqualified",
"qualified_by": null,
"qualified_on": null,
"campaign_name": "Event-Based Campaign",
"company": "Emotive Auto Sales Inc.",
"language": "en-US",
"image": "",
"title": "Abhi s agarwal Sr.",
"disabled": 0,
"unsubscribed": 0,
"blog_subscriber": 1,
"rating": "",
"lead_branch": null,
"reference": "Allen Dobbins",
"note": null,
"duplicate_status": "",
"is_duplicate": 0,
"sales_person": null,
"split_sp": null,
"sales_manager": null,
"branch_manager": null,
"sales_grp": null,
"preferred_time": "9:08:48.552267",
"preferred_language": "en-US",
"do_not_call": 0,
"do_not_text": 0,
"do_not_email": 0,
"preferred_communication": "",
"no_marketing": 0,
"do_not_mail": 0,
"no_mass_mail": 0,
"phone_numbers_string": "|1110245687|",
"instagram_username": null,
"twitter_username": null,
"facebook_username": null,
"linkedin_username": null,
"doctype": "Lead",
"notes": [],
"vehicles_of_interest": [],
"phone_nos": [
{
"idx": 1,
"phone": "1110248888",
"is_primary_phone": 1,
"is_primary_mobile_no": 1,
"do_not_call": 0,
"do_not_text": 0,
"is_priority": 1,
"type": "Mobile",
"status": "",
"extension": null,
"parent": "2025-LEAD-07-0000012"
}
],
"addresses": [],
"opportunity": null
}
}'
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Example Request
{
"lead_id": "2025-LEAD-07-0000012",
"data": {
"idx": 0,
"workflow_state": "New",
"salutation": "Prof",
"first_name": "Abhi",
"middle_name": "s",
"last_name": "agarwal",
"suffix": "Sr.",
"date_of_birth": "1990-12-10",
"preferred_pronoun": "",
"pronoun": null,
"lead_name": "Abhi s agarwal Sr.",
"job_title": "Manager",
"gender": null,
"source": "Campaign",
"lead_owner": "[email protected]",
"status": "Lead",
"customer": null,
"type": "",
"request_type": "",
"email_id": "[email protected]",
"website": "www.google.com",
"mobile_no": "1110245699",
"whatsapp_no": null,
"phone": "1110245687",
"phone_ext": null,
"company_name": "RBI",
"no_of_employees": "1-10",
"annual_revenue": 98989,
"industry": "Aerospace",
"market_segment": "Lower Income",
"territory": "United States",
"fax": null,
"city": null,
"state": null,
"country": "United States",
"qualification_status": "Unqualified",
"qualified_by": null,
"qualified_on": null,
"campaign_name": "Event-Based Campaign",
"company": "Emotive Auto Sales Inc.",
"language": "en-US",
"image": "",
"title": "Abhi s agarwal Sr.",
"disabled": 0,
"unsubscribed": 0,
"blog_subscriber": 1,
"rating": "",
"lead_branch": null,
"reference": "Allen Dobbins",
"note": null,
"duplicate_status": "",
"is_duplicate": 0,
"sales_person": null,
"split_sp": null,
"sales_manager": null,
"branch_manager": null,
"sales_grp": null,
"preferred_time": "9:08:48.552267",
"preferred_language": "en-US",
"do_not_call": 0,
"do_not_text": 0,
"do_not_email": 0,
"preferred_communication": "",
"no_marketing": 0,
"do_not_mail": 0,
"no_mass_mail": 0,
"phone_numbers_string": "|1110245687|",
"instagram_username": null,
"twitter_username": null,
"facebook_username": null,
"linkedin_username": null,
"doctype": "Lead",
"notes": [],
"vehicles_of_interest": [],
"phone_nos": [
{
"idx": 1,
"phone": "1110248888",
"is_primary_phone": 1,
"is_primary_mobile_no": 1,
"do_not_call": 0,
"do_not_text": 0,
"is_priority": 1,
"type": "Mobile",
"status": "",
"extension": null,
"parent": "2025-LEAD-07-0000012"
}
],
"addresses": [],
"opportunity": null
}
}Response Explanation
On success, the API returns the updated lead's unique ID as a simple string.
Response Body Parameters
- String value
The lead identifier for the updated lead record (e.g.,2026-LEAD-01-0000001).
Example Response
{
"message": "2026-LEAD-01-0000001"
}